Loading...
Searching...
No Matches
Halide::Internal::FindAllCalls Class Reference

Visitor for keeping track of functions that are directly called and the arguments with which they are called. More...

`#include <AutoScheduleUtils.h>`

Inheritance diagram for Halide::Internal::FindAllCalls:

## Public Attributes

std::set< std::string > | funcs_called
std::vector< std::pair< std::string, std::vector< Expr > > > | call_args

## Additional Inherited Members

Public Member Functions inherited from Halide::Internal::IRVisitor
| IRVisitor ()=default
virtual | ~IRVisitor ()=default

## Detailed Description

Visitor for keeping track of functions that are directly called and the arguments with which they are called.

Definition at line 26 of file AutoScheduleUtils.h.

## Member Data Documentation

## funcs_called

std::set<std::string> Halide::Internal::FindAllCalls::funcs_called

Definition at line 40 of file AutoScheduleUtils.h.

## call_args

std::vector<std::pair<std::string, std::vector<Expr> > > Halide::Internal::FindAllCalls::call_args

Definition at line 41 of file AutoScheduleUtils.h.

The documentation for this class was generated from the following file:

- src/AutoScheduleUtils.h